/* $Id: water.pov,v 1.4 2004/10/08 13:52:11 art Exp $ */

#declare fn_pattern = function {
	pattern { bozo scale 0.15 }
}

#declare fn_water = function {
	y - fn_pattern( x, 0, z )*0.05
}

#declare water = isosurface {
	function { fn_water( x, y, z) }
	contained_by{ box { <-3000/200, -1, -2000/200>, <3000/200, 1, 2000/200 - (4.5+1.62)> } }
	translate <-1000/200, -0.6, -1100/200>

	material {
		texture {
			pigment {
				color rgbf <0.2, 0.7, 0.3, 0.5>
			}
			finish {
				ambient 0.1
				diffuse 0.0

				reflection {
					0.0, 1.0
					fresnel on
				}

				specular 0.4
				roughness 0.003
			}
			normal {
				function {
					f_ridged_mf(x, y, z, 0.1, 3.0, 7, 0.7, 0.7, 2)
				} 0.8
				scale 0.13
			}
		}
		interior {
			ior 1.3
			media {
      				absorption <0.8, 0.6, 1.0, 0.5>
				scattering { 3 <0.5, 0.65, 0.4> }
			}
		}
	}
}
/*
#declare water = plane {
	y, -0.5
	material {
		texture {
			pigment {
				color rgbf <0.2, 0.7, 0.3, 0.8>
			}
		}
	}
}
*/
