/* $Id: lavochka.pov,v 1.2 2004/10/01 13:57:33 art Exp $ */

#include "art_tex.pov"

#declare texLavka = texture {
			pigment {
				pigWood1
				scale 0.5
				rotate y*90
				rotate z*5
				translate x + z
				warp { turbulence z*0.05 octaves 3 lambda 4.5 omega 0.4 }
			}
			finish { ambient 0.1 diffuse 0.2 specular 0.2 }
			
		}
////////////////////////////////////////////////////
// LAVOCHKA
////////////////////////////////////////////////////
#declare lavochkaHeight = 0.2;
#declare lavochkaLength = 0.6;
#declare lavochkaWidth = 0.25;
#declare lavochkaThick = 0.02;
#declare lavochkaAlfa = 0.8; // dlya radiusa
#declare lavochkaBeta = 0.8; // dlya nozhek
#declare lavochkaGamma = 0.95; // dlya shirini nozhek

#declare lavochka = union {
	box { // top
		<-lavochkaLength/2, -lavochkaThick, -lavochkaWidth/2>,
		<lavochkaLength/2, 0, lavochkaWidth/2>
		texture { texLavka }
		translate y*lavochkaHeight
	}
	difference {
		union {
			box { // levaya nozhka
				<-lavochkaThick/2, 0, -lavochkaWidth/2*lavochkaGamma>
				<lavochkaThick/2, lavochkaHeight-lavochkaThick, lavochkaWidth/2*lavochkaGamma>
				translate -x*lavochkaLength/2*lavochkaBeta
			}
			box { // pravaya nozhka
				<-lavochkaThick/2, 0, -lavochkaWidth/2*lavochkaGamma>
				<lavochkaThick/2, lavochkaHeight-lavochkaThick, lavochkaWidth/2*lavochkaGamma>
				translate x*lavochkaLength/2*lavochkaBeta
			}
		}
		cylinder {
			<-lavochkaLength/2, 0, 0>
			<lavochkaLength/2,  0, 0>
			lavochkaWidth/2*lavochkaAlfa
		}
	}
	texture {
		texLavka
		rotate z*90
	}
}

