// ################################ ##################################

// TYPE OF INC FILE: Textures and Materials                      
// CREATOR : Toni Bratincevic                                       
// E-MAIL  : tbrat@mail.geocities.com                                
// HOMEPAGE: http://members.xoom.com/Intercepto                     
// Created in POVRay 3.1 and MegaPov 0.5 using Pentium 133 (64MB Ram, 1.6GB HD, WinNT)

// ################################ ##################################

// ----------- Metals
// My_Metal01 
// My_Metal02 
// M_Metal01
// M_Metal02
// BMetal01 
// CMetal01  
// BellTexture 
// K_metal 

// ----------- Ground's and Grass
// Landtex01
// Grass
// Ground01

// ----------- Wood and Leaf Textures
// TWood01 
// Wood_Tex01 
// Wood_Tex02
// Wood_Tex03
// Wood_Tex04 
// Wood_Tex05 
// Wood_Tex06 
// Leaf_Tex01 
// Leaf_Tex03 
// Leaf_Tex04 
// Leaf_Tex05 
// Cact_texture 

// ----------- Plastics
// M_PlastOker
// M_PlastGray
// Comp_Plast
// M_PlastGreen
// M_PlastBlue
// M_PlastBBlue

// ----------- Stones
// My_Stone01 
// My_Stone02 
// MStone01  
// MStone01aa  
// MStone02 
// MStone03 
// M_Floor01
// M_Floor02
// M_Floor03
// M_Floor04
// Stone_Texture01 
// Stn05_texture 
// TStone01
// TStone02
// TStone03
// TStone04
// TStone05
// TStone06
// TStone07
// M_Brick1
// M_Brick2
// M_Brick3

// ----------- Others
// ColSpect 
// M_Crackle01
// Book_tex01
// Paper_Tex01
// OGlass01  
// Paper_texture 


#declare My_Stone01 =
texture {
   pigment {
      granite
      color_map {
         [ 0.0 color rgb <.9,.9,.9>]
         [ 0.4 color rgb <.75,.75,.75>]
         [ 1.0 color rgb <.8,.8,.8>]
      }
      scale 6
   }
   finish {
      ambient 0.2
      diffuse 0.7
      specular .2
      brilliance 1.6
   }
   normal {
      agate 
      normal_map {
         [ 0.0 agate 0.2 ]
         [ 0.3 agate 0.2 ]
         [ 0.4 granite 0.05 ]
         [ 1.0 granite 0.05 ]
      }
      turbulence 0.8
      octaves 6
      lambda 4
      omega 0.4
      
   }
}

#declare My_Metal01 =
texture {
   pigment { color rgb <.6,.6,.57> }
   finish {
      ambient 0.2
      diffuse 0.6
      specular 1.5  
      roughness .08 
      brilliance 3
      reflection 0.25
      crand 0.02
      metallic
   }
}

#declare My_Metal02 =
texture {
   pigment { color rgb <.6,.6,.57> }
   finish {
      ambient 0.2
      diffuse 0.6
      specular 1.6  
      roughness .04 
      brilliance 3
      reflection 0.45
      crand 0.02
      metallic
   }
}

#declare My_Stone02 =
texture {
   pigment {
      crackle
      color_map {
         [ 0.0 color rgb <.6,.6,.6>]
         [ 0.03 color rgb <.6,.6,.6>]
         [ 0.06 color rgb <.7,.7,.7>]
         [ 1.0 color rgb <.7,.7,.7>]
      }
      turbulence 0.2
      octaves 6
      lambda 4
      omega 0.4
   }
   finish {
      ambient 0.2
      diffuse 0.7
      specular .2
      brilliance 1.6
   }
   normal {
      crackle 
      slope_map {
         [ 0.00 <0,0> ]
         [ 0.02 <0,0> ]
         [ 0.07 <.1,0> ]
         [ 1.00 <.4,0> ]
      }
      turbulence 0.2
      octaves 6
      lambda 4
      omega 0.4
      
   }
}
texture {
   pigment {
      granite
      color_map {
         [ 0 color rgbt <.4,.4,.4,.8> ]
         [ 1 color rgbt <.8,.8,.8,.8> ]
      }
      scale 2
   }
}

#declare TWood01 =
texture {
   pigment {
      wood
      pigment_map {
         [ 0.0
            wrinkles
            color_map {
               [ 0 color rgb <.8,.6,.1>*0.6 ]
               [ 1 color rgb <.8,.6,.1>*0.3 ]
            }      
            scale 2
         ]
         [ 0.7
            agate
            color_map {
               [ 0 color rgb <.8,.6,.1>*0.6 ]
               [ 1 color rgb <.8,.6,.1>*0.3 ]
            }
            scale 2
         ]
         [ 0.8 color rgb <.8,.6,.1>*0.4 ]
         [ 1.0 color rgb <.8,.6,.1>*0.5 ]
      }
      scale <1,1,1>
      turbulence 0.03
      octaves 3
      lambda 4
      omega 0.5
   }
   finish {
      ambient 0.2
      diffuse 0.7
      specular 0.1
      roughness .8
      brilliance .5
      crand 0.03
   }
   normal {
      wrinkles
      slope_map {
         [ 0.0 <.8,0>]
         [ 0.6 <.8,0>]
         [ 0.7 <.1,0>]
         [ 1.0 <.1,0>]
      }
      scale <.1,1,2>
      turbulence 0.03
      octaves 3
      lambda 4
      omega 0.5
   }
}
texture {
   pigment {
      wrinkles
      color_map {
         [ 0.0 color rgbt <.4,.3,.1,.2> ]
         [ 0.6 color rgbt <.4,.3,.1,.2> ]
         [ 0.7 color rgbt <0,0,0,1> ]
         [ 1.0 color rgbt <0,0,0,1> ]
      }
      scale <.1,1,2>
      turbulence 0.03
      octaves 3
      lambda 4
      omega 0.5
   }
   finish {
      ambient 0.2
      diffuse 0.7
      specular 0.1
      roughness .8
      brilliance .5
      crand 0.03
   }
   normal {
      wrinkles
      slope_map {
         [ 0.0 <.8,0>]
         [ 0.6 <.8,0>]
         [ 0.7 <.1,0>]
         [ 1.0 <.1,0>]
      }
      scale <.1,1,2>
      turbulence 0.03
      octaves 3
      lambda 4
      omega 0.5
   }
}

#declare MStone01 = 
texture {
   pigment {
      wrinkles
      color_map {
         [ 0.0 color rgb <0.7,0.9,0.85>*1.1 ]
         [ 0.4 color rgb <0.7,0.9,0.85>*1.1 ]
         [ 0.6 color rgb <0.7,0.9,0.85> ]
         [ 1.0 color rgb <0.7,0.9,0.85> ]
      }
   
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      wrinkles
      normal_map {
         [ 0.0 granite 0.2  ]
         [ 0.25 granite 0.2  ]
         [ 0.25 granite 0.05 ]
         [ 1.0 granite 0.05 ]
      }
      scale 0.5
   } 
}
texture {
   pigment {
      bumps
      color_map {
         [ 0.0 color rgbt <0.7,0.9,0.85,0.8>*1.3 ]
         [ 0.4 color rgbt <0.7,0.9,0.85,0.8>*1.3 ]
         [ 0.6 color rgbt <0.7,0.9,0.85,0.8>/0.8 ]
         [ 1.0 color rgbt <0.7,0.9,0.85,0.8>/0.8 ]
      }
      scale 8
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      wrinkles
      normal_map {
      [ 0.0 bumps 0.01 ]
      [ 0.5 bumps 0.01 ]
      [ .6
       agate
       slope_map {
         [ 0.2 <0,.5> ]
         [ 0.4  <1,.5> ]
      }
      scale 3
      ]
      } 
      scale 5
   }

}
texture {
   pigment {
      granite
      color_map {
         [ 0.0 color rgbt <0.7,0.9,0.85,0.5> ]
         [ 1.0 color rgbt <0.7,0.9,0.85,0.5>*0.7 ]
      }
      scale 0.5
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      granite .15
      scale 1.5
   }
}
texture {
   pigment {
      crackle
      color_map {
         [ 0.01 color rgbt <0.7,0.9,0.85,0.6> ]
         [ 0.02 color rgbt <0.7,0.9,0.85,0.6> ]
         [ 0.03 color rgbt <1,1,1,1> ]
      }
      scale 10
      turbulence 0.2
      octaves 6
      lambda 2
      omega 0.5
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      wrinkles
      normal_map {
      [ 0.0 bumps 0.01 ]
      [ 0.5 bumps 0.01 ]
      [ .6
       agate
       slope_map {
         [ 0.2 <0,.5> ]
         [ 0.4  <1,.5> ]
      }
      scale 3
      ]
      } 
      scale 5
   }
}

#declare MStone01aa = 
texture {
   pigment {
      wrinkles
      color_map {
         [ 0.0 color rgb <0.7,0.9,0.85>*1.1 ]
         [ 0.4 color rgb <0.7,0.9,0.85>*1.1 ]
         [ 0.6 color rgb <0.7,0.9,0.85> ]
         [ 1.0 color rgb <0.7,0.9,0.85> ]
      }
   
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      wrinkles
      normal_map {
         [ 0.0 granite 0.2  ]
         [ 0.25 granite 0.2  ]
         [ 0.25 granite 0.05 ]
         [ 1.0 granite 0.05 ]
      }
      scale 0.5
   } 
}
texture {
   pigment {
      bumps
      color_map {
         [ 0.0 color rgbt <0.7,0.9,0.85,0.8>*1.3 ]
         [ 0.4 color rgbt <0.7,0.9,0.85,0.8>*1.2 ]
         [ 0.6 color rgbt <0.7,0.9,0.85,0.8>*0.7 ]
         [ 1.0 color rgbt <0.7,0.9,0.85,0.8>*0.6 ]
      }
      scale 8
   
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      wrinkles
      normal_map {
      [ 0.0 bumps 0.01 ]
      [ 0.5 bumps 0.01 ]
      [ .6
       agate
       slope_map {
         [ 0.2 <0,.5> ]
         [ 0.4  <1,.5> ]
      }
      scale 3
      ]
      } 
      scale 5
   }

}
texture {
   pigment {
      granite
      color_map {
         [ 0.0 color rgbt <0.7,0.9,0.85,0.5> ]
         [ 1.0 color rgbt <0.9,0.9,0.55,0.5>*0.6 ]
      }
      scale 0.5
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      granite .15
      scale 0.5
   }
}
texture {
   pigment {
      crackle
      color_map {
         [ 0.01 color rgbt <0.7,0.9,0.85,0.6> ]
         [ 0.02 color rgbt <0.7,0.9,0.85,0.6> ]
         [ 0.03 color rgbt <1,1,1,1> ]
      }
      scale 10
      turbulence 0.2
      octaves 6
      lambda 2
      omega 0.5
   }
   finish  {
      ambient 0.2
      diffuse 0.7
      specular 0.05
      roughness 0.3
   }
   normal {
      agate
      normal_map {
      [ 0.0 bumps 0.01 ]
      [ 0.5 bumps 0.01 ]
      [ .6
       agate
       slope_map {
         [ 0.2 <0,.5> ]
         [ 0.4  <3,.5> ]
      }
      scale 3
      ]
      } 
      scale 5
   }
}


#declare Voda =
material {
   texture {
      pigment { color rgbt <0,0,0,.9> }
      finish {
         ambient 0
         diffuse 0
         reflection 0.3
         phong 1
         phong_size 80
      }
      normal {
        bumps 0.07 scale 0.05
      } 
   
   }
   interior {
      ior 1.33
      media {
         absorption rgb<.1,.1,.2>*0.3
         emission rgb <0.1,0.1,0.2>*0.55
      }
   }
}

#declare MStone02 =
texture { MStone01 }
texture {
   pigment {
      color rgbt <.9,.3,.1,0.8>
   }
}
#declare MStone03 =
texture { MStone01 }
texture {
   pigment {
      color rgbt <.6,.6,.2,0.8>
   }
}

#declare Grass =
texture {
   pigment {
      color rgb <0,1,0>
   }
   normal {
      wrinkles 0.1
      scale 10
   }
   finish {
      ambient 0.1
      diffuse 0.4
      specular 0.05
      roughness 0.5
      crand 0.05
   }
}
texture {
   pigment {
      color rgbt <0,1,0,.5>
   }
   normal {
      bumps 0.1
      scale 0.1
   }
   finish {
      ambient 0.1
      diffuse 0.4
      specular 0.05
      roughness 0.5
      crand 0.05
   }
}

texture {
   pigment {
      gradient z
      pigment_map {
         [ 0
            wrinkles
            color_map {
               [ 0.0 color rgbt <0,0,0,1> ]
               [ 0.5 color rgbt <0.5,0.6,0.5,.7> ]
               [ 1.0 color rgbt <0,0,0,.6> ]
            }
            scale 0.4
          
         ]
         [ 0.5
            wrinkles
            color_map {
               [ 0 color rgbt <0,0,0,1> ]
               [ 1 color rgbt <0,0,0,.6> ]
            }
            scale 0.4
          
         ]
         [ 0.7
            wrinkles
            color_map {
               [ 0 color rgbt <0,0,0,1> ]
               [ 1 color rgbt <0,0,0,.7> ]
            }
            scale 0.4
          
         ]
         [ 1.0 color rgbt <0,0,0,1> ]
      }
      // scale 2.2
      translate <0,-2.0,0>
   }
   finish {
      ambient 0.1
      diffuse 0.4
      specular 0.05
      roughness 0.5
      crand 0.05
   }
}  

#declare BMetal01 =
   texture {
      pigment {
         wrinkles
         color_map {
            [ 0 color rgb <0.75,0.8,0.7>*1.1 ]
            [ 1 color rgb <0.75,0.8,0.7>*0.99 ]
         }
      }
      finish {
         ambient 0.1
         diffuse 0.6
         specular 0.8
         roughness 0.05
         reflection 0.1
      }
      normal {
         granite 0.015
         scale 0.1
      }
   }

#declare CMetal01  =
   texture {
      pigment {
         wrinkles
         color_map {
            [ 0 color rgb <0.9,0.8,0.3>*0.9 ]
            [ 1 color rgb <0.9,0.8,0.3>*0.85 ]
         }
      }
      finish {
         ambient 0.1
         diffuse 0.6
         specular 0.8
         roughness 0.05
         reflection 0.1
      }
      normal {
         granite 0.015
         scale 0.1
      }
   }

#declare OGlass01  =
material {   
   texture {
      pigment { color rgbt <0.2,0.8,1,0.90> }
      finish {
         ambient 0.1
         diffuse 0
         specular 1
         roughness 0.005
         reflection 0.2
      }
   }
   interior {
      refraction 1
      ior 1.5
   }
}

#declare Stone_Texture01 =
texture {
   pigment {
      average
      pigment_map {
        [ 1
          wrinkles
          color_map {
             [ 0.0 color rgb <0.70,0.60,0.55>*0.8 ]
             [ 0.3 color rgb <0.70,0.60,0.55>*0.8 ]
             [ 0.6 color rgb <0.35,0.50,0.25>*0.6 ]
             [ 1.0 color rgb <0.35,0.50,0.20>*0.6 ]
          }
          scale 4
        ]
        [ 0.15
          agate
          color_map {
             [ 0.0 color rgb <0.70,0.60,0.55>*0.8 ]
             [ 0.2 color rgb <0.70,0.60,0.55>*0.8 ]
             [ 0.6 color rgb <0.35,0.50,0.25>*0.6 ]
             [ 1.0 color rgb <0.35,0.50,0.20>*0.6 ]
          }
          scale 1.5
          turbulence 0.5
          omega 0.6
        ]
      }
   }
   finish {
      specular 0.4
      roughness 0.04
      reflection 0.03
      crand 0.02
      diffuse 0.8
      ambient 0.2
   }
   normal {
      bumps 0.08
      scale 0.035
   }
}

#declare Stn05_texture =
texture {
   pigment {
      average
      pigment_map {
         [  0.3
            wrinkles
            color_map {
               [ 0 color rgb <0.70,0.38,0.30> ] 
               [ 1 color rgb <0.60,0.25,0.20>*0 ] 
            }
            scale 1
         ]
         [  2
            wrinkles
            color_map {
               [ 0 color rgb <0.70,0.38,0.30> ] 
               [ 1 color rgb <0.60,0.25,0.20>*0 ] 
            }
            scale 5
         ]
      }
   }
   finish {
      ambient 0.3
      diffuse 0.8
      crand 0.04
   }
   normal {
      average
      normal_map {
        [ 1.0 granite 0.1 ]
        [ 0.2 granite 0.1 scale 0.2 ]
      }
      
   }
}

#declare Cact_texture =
texture {
   pigment {
      average
      pigment_map {
         [ 1
           radial
           color_map {
              [ 0.3 color rgb <0.1,0.4,0.05>*0.7 ]
              [ 0.5 color rgb <0.2,0.5,0.1>*0.7 ]
              [ 0.8 color rgb <0.4,0.5,0.1>*0.7 ]
           }
           frequency 8
           triangle_wave
         ]
         [ 0.5
           wrinkles 
           color_map {
              [ 0.5 color rgb <0.2,0.5,0.1>*0.7 ]
              [ 0.8 color rgb <0.4,0.5,0.1>*0.7 ]
           }
           frequency 8
           scale 3
         ]
      }
   }
   normal {
      granite 0.1
      scale 0.5
      poly_wave 0.4
   }
   finish {
      ambient 0.2
      diffuse 0.7
      crand 0.02
   }
}

#declare Ground01 =
texture {
   pigment {
      color rgb <0.4,0.27,0.08>
   }
   normal {
      average
      normal_map {
         [ 1 crackle 0.8 poly_wave 0.7 turbulence 0.4 omega 0.6 ]
         [ 0.6 granite 0.4 ]
      }
   }
}

#declare Paper_texture =
texture {
   pigment {
      wrinkles
      color_map {
         [ 0 color rgb <1.0,0.99,0.98>*1.0 ] 
         [ 1 color rgb <1.0,0.99,0.98>*0.8 ] 
      }
   }
   finish { ambient 0.2 diffuse 0.8 crand 0.06 }
   normal { crackle 0.8 scale 0.5 }
}

#declare K_metal =
texture {
   pigment {
      wrinkles
      color_map {
         [ 0.3 color rgb <0.4,0.45,0.5>*0.7 ]
         [ 0.7 color rgb <0.4,0.45,0.5>*0.4 ]
      }
   }
   finish {
      ambient 0.2
      diffuse 0.6
      specular 0.7
      roughness 0.15
      crand 0.03
   }
   normal {
      average
      normal_map {
         [ 1
           bumps 0.2
           poly_wave 0.5
           scale <0.4,0.1,0.1>
         ]
         [ 1
           bumps 0.2
           poly_wave 0.5
           scale 0.05
           scale <0.1,0.4,0.1>
         ]
      }
   }
}

#declare RustTex =
texture {
   pigment {
      granite
      color_map {
         [ 0.2 color rgb <0.6,0.45,0.20> ]
         [ 0.7 color rgb <0.6,0.35,0.10> ]
      }
      turbulence 0.5
      lambda 3
      omega 0.6
      scale 0.2
   }
   normal {
      average
      normal_map {
         [ 1 granite 0.4 ] 
         [ 1 bumps 0.4 ] 
      }
      scale 0.04
   }
   finish {
      ambient 0.2
      diffuse 0.65
      specular 0.9
      brilliance 1.5
      roughness 0.07
      reflection 0.08
      crand 0.08
      //metallic
   }
}

#declare MetalTex =
texture {
   pigment {
      granite
      color_map {
         [ 0.4 color rgb <0.52,0.35,0.15>*0.9 ]
         [ 0.7 color rgb <0.52,0.44,0.38>*1.1 ]
         [ 0.9 color rgb <0.52,0.45,0.05>*0.7 ]
      }
      turbulence 0.5
      lambda 3
      omega 0.5
      scale 0.8
   }    
   normal {
      average
      normal_map {
         [ 0.30 granite 0.25 translate 10 scale 0.01 ] 
         [ 0.25 granite 0.15 poly_wave 0.3 translate 10 scale 0.50 ] 
         [ 1.00
           granite
           slope_map {
              [ 0.57 <0.00,1> ] 
              [ 0.59 <0.15,-1> ]
           }
         ] 
      }
   }      
   finish {
      ambient 0.2
      diffuse 0.5
      specular 0.7
      roughness 0.13
      brilliance 1.5
      reflection 0.08
      crand 0.08
      //metallic
   }
}

#declare BellTexture =
texture {
   granite
   texture_map {
      [ 0.50 MetalTex ]
      [ 0.57 RustTex ]
   }
   turbulence 0.4
   octaves 6
   lambda 4
   omega 0.4
   scale 5
} 

#declare Wood_Tex01 =
texture {
   pigment {
      wrinkles
      pigment_map {
         [ 0 color rgb <.6,.4,.1> ]
         [ 1 color rgb <.6,.4,.1>*0.7 ]
      }
      scale <.2,6,.2>
      turbulence <1,0,1>
      octaves 8
      lambda 6
      omega 0.5
   }
   normal {
      bumps 
      slope_map {
         [ 0.0 <2,0> ]
         [ 0.5 <2,0> ]
         [ 0.5 <0,0> ]
         [ 1.0 <0,0> ]
      } 
      scale <.2,6,.2>*0.5
      turbulence <1,0,1>
      octaves 8
      lambda 6
      omega 0.5
   }
   finish {
      diffuse 0.7
      ambient 0.1
   }
}
#declare Wood_Tex02=
texture {
   pigment {
      wrinkles
      pigment_map {
         [ 0 color rgb <.9,.6,.4> ]
         [ 1 color rgb <.9,.6,.4>*0.7 ]
      }
      scale <.2,6,.2>
      turbulence <1,0,1>
      octaves 8
      lambda 6
      omega 0.5
   }
   normal {
      bumps 
      slope_map {
         [ 0.0 <2,0> ]
         [ 0.5 <2,0> ]
         [ 0.5 <0,0> ]
         [ 1.0 <0,0> ]
      } 
      scale <.2,6,.2>*0.5
      turbulence <1,0,1>
      octaves 8
      lambda 6
      omega 0.5
   }
   finish {
      diffuse 0.7
      ambient 0.1
   }
}
texture {
   pigment {
      wrinkles
      pigment_map {
         [ 0.00 color rgbt <.9,.6,.4,1> ]
         [ 0.70 color rgbt <.9,.6,.4,1> ]
         [ 0.82 color rgb <.9,.6,.4>*0.4 ]
         [ 1.00 color rgb <.9,.6,.4>*0.4 ]
      }
      scale <1,3,1>
      turbulence 0.2
      octaves 8
      lambda 6
      omega 0.4
   }
}
#declare Wood_Tex03=
texture {
   pigment {
      wrinkles
      pigment_map {
         [ 0.0 color rgb <.8,.75,.75> ]
         [ 0.6 color rgb <.8,.75,.75> ]
         [ 0.8 color rgb <.8,.75,.75>*0.6 ]
         [ 1.0 color rgb <.8,.75,.75>*0.6 ]
      }    
      scale <.2,6,.2>
      scale 0.4
   }
   normal {
      granite 
      slope_map {
         [ 0.0 <1,0> ]
         [ 0.6 <1,0> ]
         [ 0.8 <0,0> ]
         [ 1.0 <0,0> ]
      } 
      scale <.2,6,.2>
      scale 0.4
   }  
   finish {
      diffuse 0.7
      ambient 0.1
      specular 0.05
      roughness 0.4
   }  
}
texture {
   pigment {
      wrinkles
      pigment_map {
         [ 0.0 color rgbt <.8,.75,.75,1> ]
         [ 0.3 color rgbt <.8,.75,.75,1> ]
         [ 0.5 color rgbt <.8,.75,.75,0.2> ]
         [ 1.0 color rgbt <.8,.75,.75,0.2> ]
      }    
      scale <.2,6,.2>
      scale 0.8
   }
   normal {
      wrinkles 
      slope_map {
         [ 0.0 <0.05,0> ]
         [ 0.3 <0.05,0> ]
         [ 0.5 <0,0> ]
         [ 1.0 <0,0> ]
      } 
      scale <.2,6,.2>
      scale 0.8
   }  
   finish {
      diffuse 0.7
      ambient 0.1
      specular 0.05
      roughness 0.4
   }  
}

#declare pmult4 = 0.8;
#declare Wood_Tex04 =
texture {
 pigment {
    average
    pigment_map {
      [ 1.0
        granite
        pigment_map {
           [ 0.2 color rgb <0.3,0.2,0.1>*pmult4 ]
           [ 0.3
             average
             pigment_map {
                [ 2.0 color rgb <0.9,0.6,0.1>*pmult4 ]
                [ 2.0
                  wrinkles
                  pigment_map {
                     [ 0.35 color rgb <0.3,0.2,0.1>*pmult4 ]
                     [ 0.60 color rgb <0.9,0.5,0.1>*pmult4 ]
                  }
                  scale 0.5
                ]
                [ 2.0
                  wrinkles
                  pigment_map {
                     [ 0.35 color rgb <0.7,0.6,0.1>*pmult4 ]
                     [ 0.60 color rgb <0.5,0.3,0.1>*pmult4 ]
                  }
                  scale 0.2
                ]
             }
           ]  
        }
      ]
      [ 0.5
        wrinkles
        pigment_map {
           [ 0.45 color rgb <0.3,0.2,0.1>*pmult4 ]
           [ 0.50 color rgb <0.9,0.5,0.1>*pmult4 ]
        }
        scale 1.5
      ]
      [ 0.5
        wrinkles
        pigment_map {
           [ 0.35 color rgb <0.8,0.8,0.1>*pmult4 ]
           [ 0.60 color rgb <0.9,0.5,0.1>*pmult4 ]
        }
        scale 3.0
      ]
    }
    scale <1,3,1>
    scale 0.8
 }
 normal {
    average
    normal_map {
      [ 2
        granite 0.6
        poly_wave 0.5
      ]
      [ 2
        granite
        normal_map {
           [ 0.0 granite 0.6 scale 0.2 ]
           [ 0.8 wrinkles 0.6 scale 0.5 ]
        }
        poly_wave 0.5
      ]
    } 
    scale <1,3,1>
    scale 0.8
 }
 finish {
    ambient 0.2
    diffuse 0.7
    specular 0.05
    roughness 0.1
    crand 0.05
 }
}

#declare pmult5 = 1.0;
#declare Wood_Tex05 =
texture {
 pigment {
    average
    pigment_map {
      [ 1.0
        agate
        pigment_map {
           [ 0.1 color rgb <0.5,0.4,0.2>*pmult5 ]
           [ 0.4
             average
             pigment_map {
                [ 2.0 color rgb <0.8,0.6,0.1>*pmult5 ]
                [ 2.0
                  wrinkles
                  pigment_map {
                     [ 0.35 color rgb <0.4,0.3,0.1>*pmult5 ]
                     [ 0.60 color rgb <0.9,0.7,0.1>*pmult5 ]
                  }
                  scale 0.5
                ]
                [ 2.0
                  wrinkles
                  pigment_map {
                     [ 0.35 color rgb <0.7,0.6,0.1>*pmult5 ]
                     [ 0.60 color rgb <0.5,0.4,0.1>*pmult5 ]
                  }
                  scale 0.2
                ]
             }
           ]  
        }
      ]
    }
    scale <4,1,4>
    scale 0.8
 }
 normal {
    average
    normal_map {
      [ 2
        agate 0.6
        poly_wave 0.5
      ]
      [ 2
        granite
        normal_map {
           [ 0.0 granite 0.6 scale 0.2 ]
           [ 0.8 wrinkles 0.6 scale 0.5 ]
        }
        poly_wave 0.5
      ]
    } 
    scale <4,1,4>
    scale 0.8
 }
 finish {
    ambient 0.2
    diffuse 0.7
    specular 0.05
    roughness 0.1
    crand 0.05
 }
}

#declare Wood_Tex06 =
texture {
   pigment {
      bumps
      pigment_map {
         [ 0.20
            wrinkles
            pigment_map {
               [ 0.20 color rgb <0.7,0.6,0.6> ]
               [ 0.50 color rgb <0.3,0.2,0.0> ]
            }
            scale 4
         ]
         [ 0.30
            granite
            color_map {
               [ 0.2 color rgb <0.7,0.65,0.6> ]
               [ 0.8 color rgb <0.5,0.45,0.4> ]
            }
            scale <.5,10,.5>
            scale 5
         ]
      }
      turbulence 0.6
      octaves 8
      lambda 5
      omega 0.4
      scale <1,.2,1>
   }
   normal {
      bumps
      normal_map {
         [ 0.20 granite 0.10 scale 1.0 ]
         [ 0.50 granite 0.50 scale 2.0 ]
      }
      turbulence 0.6
      octaves 8
      lambda 5
      omega 0.4
      scale <1,.2,1>
   }
   finish {
      ambient 0.1
      diffuse 0.7
      specular 0.05
      roughness 0.1
      crand 0.05
   }
}

#declare Leaf_Tex01 =
texture {
   pigment {              
      bumps
      color_map {
        [ 0 color rgb <.6,1,.2> ]
        [ 1 color rgb <.3,1,.3>/1.5 ]
      }
   }
   finish {
      ambient 0.3
      diffuse 0.7
      phong 0.15
      phong_size 25
      crand 0.05
   }
   normal { bumps 0.1}
}
texture {
   pigment {
      granite
      color_map {
        [ 0.00 color rgbt <.3,1,.3,0.6> ]
        [ 0.20 color rgbt <.3,1,.3,0.8> ]
        [ 0.45 color rgbt <.3,1,.3,1> ]
        [ 1.00 color rgbt <.3,1,.3,1> ]
      }
   }
   normal {
      granite 0.20
   }
   finish {
      ambient 0.3
      diffuse 0.7
      phong 0.15
      phong_size 25
      crand 0.05
   }
      scale 0.4
}
texture {
   pigment {
      gradient x
      pigment_map {
        [ 0.00 color rgbt <0,0.6,0,0.4> ]
        [ 0.02 color rgbt <0,0.6,0,0.5> ]
        [ 0.05
           crackle
           color_map {
              [ 0.05 color rgbt <0,.6,0,0.6> ]
              [ 0.10 color rgbt <0,.6,0,1> ]
              [ 1.00 color rgbt <0,.6,0,1> ]
           }
           scale 0.2
        ]
        [ 1.00
           crackle
           color_map {
              [ 0.05 color rgbt <0,.6,0,0.9> ]
              [ 0.10 color rgbt <0,.6,0,1> ]
              [ 1.00 color rgbt <0,.6,0,1> ]
           }
        ]
      }
      scale 1
   }
   finish {
      ambient 0.3
      diffuse 0.7
      phong 0.15
      phong_size 25
      crand 0.05
   }
   normal { crackle 0.1 scale 0.2}
}
texture { pigment { color rgbf <0,0.8,0,0.4> } finish { specular 0.3  roughness 0.1 } }

#declare Leaf_Tex02 = 
texture {
   pigment {
      radial
      color_map {
         [ 1*(1/7) color rgb <1,0,0> ]
         [ 2*(1/7) color rgb <1,1,0> ]
         [ 3*(1/7) color rgb <0,1,0> ]
         [ 4*(1/7) color rgb <0,1,1> ]
         [ 5*(1/7) color rgb <0,0,1> ]
         [ 6*(1/7) color rgb <1,0,1> ]
         [ 7*(1/7) color rgb <1,0,0> ]
      }
   }
   finish {
      ambient 0.1
      diffuse 0.7
      specular 0.2
      roughness 0.1
      crand 0.05
   }
}

#declare Leaf_Tex04 = 
texture {
   pigment {
      wrinkles
      color_map {
         [ 0.2 color rgb <0.2,0.7,0.1> ]
         [ 0.8 color rgb <0.1,0.5,0.0> ]
      }
      scale 4
   }
   normal {
      crackle 0.2
      scale 0.2
      turbulence 0.4
      octaves 8
      lambda 2
      omega 0.3
   }
   finish {
      ambient 0.1
      diffuse 0.7
      specular 0.3
      roughness 0.1
      crand 0.05
   }
}
#declare Leaf_Tex05 = 
texture {
   pigment {
      average
      pigment_map {
        [ 1
          wrinkles
          color_map {
             [ 0.4 color rgb <0.9,0.8,0.1> ]
             [ 0.6 color rgb <0.5,0.3,0.0> ]
          }
          scale 4
         ]
        [ 0.6
          bumps
          color_map {
             [ 0.2 color rgb <0.9,0.8,0.1> ]
             [ 0.8 color rgb <0.5,0.3,0.0> ]
          }
          scale 6
         ]
      }
   }
   finish {
      ambient 0.1
      diffuse 0.7
      specular 0.2
      roughness 0.1
      crand 0.05
   }
   normal {
      crackle 0.2
      scale 0.08
   }
}

#declare ColSpect = 
texture {
   pigment {
      wrinkles
      color_map {
         [ 0.2 color rgb <0.9,0.8,0.1> ]
         [ 0.8 color rgb <0.2,0.7,0.1> ]
      }
      scale 4
   }
   finish {
      ambient 0.1
      diffuse 0.7
      specular 0.2
      roughness 0.1
      crand 0.05
   }
   normal {
      crackle 0.2
      scale 0.08
   }
}

#declare M_Floor01 =
texture { pigment {
            agate
              color_map {
                [ 0 color rgb <0.2,0.2,0.2> ]
                [ 1 color rgb <0.8,0.7,0.6> ]
              }
       }
}
texture { pigment {
            checker
              color rgbt <0.3,0,0,0.5>,
              color rgbt <1,.7,.7,0.5>
            }
          finish { ambient 0.2
                   diffuse 0.4
                   reflection 0.2
                   phong 0.7
                   phong_size 20
          }
          normal {
            bumps 0.2
          }
          scale 0.4
}

#declare M_Floor02 =
texture { pigment {
            agate
              color_map {
                [ 0 color rgb <0.2,0.2,0.2> ]
                [ 1 color rgb <0.8,0.7,0.6> ]
              }
              scale 0.5
       }
}
texture { pigment {
            hexagon
              color rgbt <0.2,0.2,0.2,0.3>,
              color rgbt <0.5,0.5,0.5,0.3>,
              color rgbt <0.8,0.8,0.8,0.3>
            }
          finish { ambient 0.2
                   diffuse 0.4
                   reflection 0.1
                   phong 0.7
                   phong_size 20
          }
          normal {
            bumps 0.2
          }
          scale 0.2

}


#declare M_Crackle01 =
texture { pigment { crackle
                           color_map {
                                    [ 0 color red 1 ]
                                    [ 0.5 color green 1]
                                    [ 1 color blue 1 ]
                           }
                           scale 0.5
                  }
          finish { ambient 0.2 diffuse 0.4 specular 0.4 }
          normal { crackle 0.8 scale 0.5 }
}

#declare M_PlastOker =
texture { pigment { color rgb <0.8,0.7,0.3> }
    finish  { ambient 0.35 diffuse 0.7 phong 0.3 phong_size 20 }
    normal  { bumps 0.05 scale 0.01 bump_size 0.05 }
}

#declare M_PlastGray =
texture { pigment { color rgb <0.7,0.7,0.7> }
    finish  { ambient 0.35 diffuse 0.7 phong 0.3 phong_size 20 }
    normal  { bumps 0.05 scale 0.01 bump_size 0.05 }
}
#declare Comp_Plast =
texture {
    pigment { color rgb <0.2,0.2,0.2> }
    finish  { ambient 0.35 diffuse 0.7 phong 0.3 phong_size 20 }
    normal  { bumps 0.05 scale 0.01 bump_size 0.05 }
}

#declare M_PlastGreen =
texture { pigment { color rgb <0.1,0.8,0.1> }
    finish  { ambient 0.35 diffuse 0.7 phong 0.3 phong_size 20 }
    normal  { bumps 0.05 scale 0.01 bump_size 0.05 }
}

#declare M_PlastBlue =
texture { pigment { color rgb <0.1,0.1,0.8> }
    finish  { ambient 0.35 diffuse 0.7 phong 0.3 phong_size 20 }
    normal  { bumps 0.05 scale 0.01 bump_size 0.05 }
}

#declare M_PlastBBlue =
texture { pigment { color rgb <0.65,0.65,0.9> }
    finish  { ambient 0.35 diffuse 0.7 phong 0.3 phong_size 20 }
    normal  { bumps 0.05 scale 0.01 bump_size 0.05 }
}

#declare M_Brick1 =
texture { pigment { brick
                         color rgb <0.8,0.8,0.8>
                         color rgb <0.8,0.3,0.1>
                         turbulence 0.2
                  }
          finish  { ambient 0.3 diffuse 0.7 phong 0.2 phong_size 10 }
          normal  { brick 0.2 }
          scale 0.1
}
texture { pigment { agate
                    color_map {
                         [ 0.0 color rgbt <0.3,0.1,0.2,0.7> ]
                         [ 0.5 color rgbt <0.5,0.3,0.1,0.8> ]
                         [ 0.7 color rgbt <0.4,0.2,0.2,0.9> ]
                         [ 1.0 color rgbt <0.4,0.4,0.4,0.8> ]
                    }
                   }
          finish  { ambient 0.3 diffuse 0.7 phong 0.2 phong_size 10 }
          normal  { agate 0.4 }
          scale 0.1
}
texture { pigment { color rgbt <1,1,1,1> } normal  { bumps 0.4 scale 0.2 } }

#declare M_Brick2 =
texture { pigment { brick
                         color rgb <0.7,0.7,0.7>
                         color rgb <0.3,0.3,0.3>
                         turbulence 0.2
                  }
          finish  { ambient 0.3 diffuse 0.7 phong 0.2 phong_size 10 }
          normal  { brick 0.2 }
          scale 0.1
}
texture { pigment { agate
                    color_map {
                         [ 0.0 color rgbt <0.3,0.3,0.3,0.7> ]
                         [ 0.5 color rgbt <0.5,0.5,0.5,0.8> ]
                         [ 0.7 color rgbt <0.4,0.4,0.4,0.9> ]
                         [ 1.0 color rgbt <0.2,0.2,0.2,0.8> ]
                    }
                   }
          finish  { ambient 0.3 diffuse 0.7 phong 0.2 phong_size 10 }
          normal  { agate 0.4 }
          scale 0.1
}
texture { pigment { color rgbt <1,1,1,1> } normal  { bumps 0.4 scale 0.2 } }

#declare M_Metal01 =
texture {
      pigment { dents
        color_map {
          [0 color rgb <0.35,0.35,0.4>  ]
          [0.4 color rgb <0.4,0.4,0.4>]
          [1 color rgb <0.4,0.4,0.45>]
        }
      }
      finish {
        diffuse 0.6
        ambient 0.3
        specular 0.6
        reflection 0.15
        // metallic
      }
      normal {
        ripples
          normal_map {
            [ 0 hexagon 0.5]
            [ 0.5 bumps 0.2 scale 4]
            [ 1 checker 0.3 turbulence 0.05 scale 0.5]
          }
      }
      rotate x*90
      scale 2
}

#declare Landtex01 =
texture { pigment {
            granite
              color_map {
                [ 0 color rgb <0.8,0.6,0.2> ]
                [ 1 color rgb <0.8,0.8,0.3> ]
              }

       }
       normal { granite 0.2 /* scale 0.4 */ }
       finish { diffuse 0.7 ambient 0.2 }
       scale 0.2
}
texture {
  pigment {
    wrinkles
      color_map {
        [ 0   color rgbt <1,1,1,1> ]
        [ 0.5 color rgbt <1,0.5,0,0.8> ]
        [ 0.7 color rgbt <0.6,0.2,0.1,0.6> ]
        [ 1   color rgbt <0.9,0.3,0,0.4> ]
        }
        scale 0.5
     }
  finish {
    ambient 0.2
    diffuse 0.8
  }
  normal {
     wrinkles 0.6
     scale 0.5
 }
scale 0.4
}

#declare M_Floor03 =
texture { pigment {
            granite
              color_map {
                [ 0 color rgb <0.35,0.35,0.35> ]
                [ 1 color rgb <0.65,0.55,0.45> ]
              }
              turbulence 2

       }
       normal { granite 0.2 }
       finish { reflection 0.2 }
       scale 0.3
}
texture { pigment {
            checker
              color rgbt <0,0,0,0.4>,
              color rgbt <1,1,1,0.6>
          }
          finish { ambient 0.2
                   diffuse 0.6
                   reflection 0.2
                   phong 0.7
                   phong_size 10
          }
          normal {
                   bumps
                     normal_map {
                             [ 0 bumps 0.025 scale 2]
                             [ 0.6 granite 0.05 scale 2]
                             [ 1 granite 0.1 scale 4 ]
                     }
                     scale 0.3

               }

          scale 0.4
}
texture {
  pigment {
    agate
      color_map {
        [0    color rgbt <1,1,1,1>]
        [0.80 color rgbt <1,1,1,1>]
        [0.85 color rgbt <0.7,0.7,0.7,0.8>]
        [1    color rgbt <0.8,0.8,0.8,0.6>]
      }
      turbulence .8
      scale 0.25
  }
  finish { reflection 0.2 }
}

#declare TStone01 =
  texture {
    pigment{
      wrinkles
        colour_map {
                   [0 color rgb<0.5,.5,0.4>]
                   // [0.25 color rgb<0,1,0>]
                   // [0.75 color rgb<0,0,1>]
                   [1 color rgb<0.8,0.8,0.9>]
                   }
        frequency 1
        turbulence 3
         }
    finish { ambient 0.3 diffuse 0.7 specular 0.3  roughness 0.01 }
    normal { wrinkles 0.5 }
    scale 2.5
  }
  texture {
 pigment{
      granite
        colour_map {
                   [0 color rgbt<0.7,.7,0.6,0.4>]
                   // [0.25 color rgbt<0,1,0,0.1>]
                   // [0.75 color rgbt<0,0,1,0.6>]
                   [1 color rgbt<0.5,0.5,0.4,0.6>]
                   }
        frequency 1
         }
    finish { ambient 0.3 diffuse 0.7 specular 0.3  roughness 0.01 }

  }
  texture {
 pigment{
      agate
        colour_map {
                   [0 color rgbt<1,1,1,1>]
                   [0.75 color rgbt<1,1,1,1>]
                   [0.8 color rgbt<0.6,0.6,.5,0.7>]
                   [1 color rgbt<0.7,0.7,0.6,0.5>]
                   }
        frequency 1
         }
    finish { ambient 0.3 diffuse 0.7 specular 0.3  roughness 0.01 }
}

#declare TStone02 =
  texture {
    pigment{
      wrinkles
        colour_map {
                   [0 color rgb<0.5,.5,0.4>]
                   // [0.25 color rgb<0,1,0>]
                   // [0.75 color rgb<0,0,1>]
                   [1 color rgb<0.8,0.8,0.9>]
                   }
        frequency 1
        turbulence 3
         }
    finish { ambient 0.3 diffuse 0.7 specular 0.3  roughness 0.01 }
    scale 2.5
  }

#declare TStone03 =
texture {
    pigment{
      crackle
        colour_map {
                   [0 color rgb<0.6,0.6,0.65>]
                   [0.60 color rgb<0.45,0.4,0.5>]
                   [0.75 color rgb<0.4,0.4,.45>]
                   [1 color rgb<0.8,0.8,0.9>]
                   }
        frequency 1
        turbulence 3
        scale 2
         }
    finish { ambient 0.3 diffuse 0.7 specular 0.3  roughness 0.01 }
    scale 2.5
}
texture {
    pigment{
      spiral2 5
        colour_map {
                   [0 color rgbf<0.7,0.7,0.6,1>]
                   [0.40 color rgbf<0.4,0.4,0.5,.9>]
                   [0.55 color rgbf<0.5,0.5,0.55,0.8>]
                   [1 color rgbf<0.85,0.85,0.9,0.5>]
                   }
        frequency 1
        turbulence 2
        scale 6
         }
    finish { ambient 0.3 diffuse 0.7 specular 0.3  roughness 0.01 }
    scale 3
}

#declare M_Floor04 =
texture {
    pigment {
              crackle
              color_map {
                        [ 0   color rgb <0.6,0.6,0.55> ]
                        [ 0.02 color rgb <0.55,0.55,0.55> ]
                        [ 0.06 color rgb <0.55,0.45,0.4> ]
                        [ 1   color rgb <0.55,0.45,0.4> ]
              }
    }
    finish  { ambient 0.4 diffuse 0.7 }
    normal {
       crackle
       slope_map {
          [0    <0, 0>]
          [0.06   <0.25, 0.25>]
          [1    <0.7, 0.7>]
       }
    }
}
texture {
    pigment {
              granite
              color_map {
                        [ 0   color rgbt <0.6,0.6,0.6,0.8> ]
                        [ 0.5 color rgbt <0.5,0.45,0.45,0.8> ]
                        [ 0.5 color rgbt <0.5,0.45,0.4,0.8> ]
                        [ 1   color rgbt <0.5,0.45,0.4,0.8> ]
              }
    }
    normal { granite 0.1 scale 0.2 }
}

#declare M_Brick3 =
texture { pigment { brick
                         color rgb <0.75,0.7,0.7>
                         color rgb <0.35,0.3,0.3>
                         turbulence 0.2
                  }
          finish  { ambient 0.3 diffuse 0.7 phong 0.2 phong_size 10 }
          normal  { brick 0.6 }
          scale 0.1
}
texture { pigment { agate
                    color_map {
                         [ 0.0 color rgbt <0.35,0.3,0.3,0.7> ]
                         [ 0.5 color rgbt <0.525,0.5,0.5,0.8> ]
                         [ 0.7 color rgbt <0.4,0.4,0.4,0.9> ]
                         [ 1.0 color rgbt <0.225,0.2,0.2,0.8> ]
                    }
                   }
          finish  { ambient 0.3 diffuse 0.7 phong 0.2 phong_size 10 }
          normal  { agate 0.4 }
          scale 0.1
}
texture {
        pigment { color rgbt <1,1,1,1> }
        normal  { bumps 0.4 scale 0.2 }
}

#declare M_Metal02 =
texture {
          pigment { color rgb <0.7,0.7,0.7> }
          finish { phong 0.5 phong_size 10 reflection 0.1 ambient 0.2 diffuse 0.6 }
          normal { bumps 0.05 scale <0.05,0.6,0.05> }
}

#declare TStone04 =
texture {
   pigment {
      agate
      color_map {
         [ 0   color rgb <0.35,0.3,0.3> ]
         [ 0.2 color rgb <0.4,0.35,0.35> ]
         [ 1   color rgb <0.475,0.425,0.425> ]
      }
   }
   finish { ambient 0.3 diffuse 0.7 phong 0.4 phong_size 10 crand 0.025 reflection 0.05}
   normal { agate 0.025 }
}

#declare TStone05 =
texture {
   pigment {
           wrinkles
           color_map {
             [ 0    color rgb <0.5,0.4,0.4> ]
             [ 0.25 color rgb <0.4,0.4,0.4> ]
             [ 1    color rgb <0.5,0.45,0.375>  ]
           }
   }
   normal { wrinkles 0.5 }
   finish { diffuse 0.6 ambient 0.3 }
   scale 0.5
}
texture {
   pigment {
           granite
           color_map {
             [ 0    color rgbt <0.45,0.4,0.4,0.6> ]
             [ 0.5 color rgbt <0.325,0.35,0.35,0.8> ]
             [ 1    color rgbt <0.4,0.35,0.375,0.7>  ]
           }
   }
   normal { granite 0.75 }
   scale 0.5
   finish { diffuse 0.6 ambient 0.3  phong 0.15 phong_size 0.5  crand 0.05 }
}

#declare Book_tex01 =
texture {
   pigment {
      bumps
      color_map {
         [ 0   color rgb <0.46,0.31,0,0.25> ]
         [ 1   color rgb <0.45,0.3,0,0.25> ]
      }
   }
   finish { ambient 0.4 diffuse 0.7 phong 0.2 phong_size 1 crand 0.01 }
   normal { bumps 0.1 }
   scale <0.5,0.1,0.1>
   scale 0.2
}
texture {
   pigment {
      bumps
      color_map {
         [ 0   color rgbf <0.46,0.31,0,0.25> ]
         [ 1   color rgbf <0.45,0.31,0,0.25> ]
      }
   }
   finish { ambient 0.4 diffuse 0.8 phong 0.1 phong_size 0.5 crand 0.01 }
   normal { bumps 0.1 }
   scale <0.5,0.1,0.1>
   scale 0.2
   rotate y*90
}

#declare Paper_Tex01 =      // Paper texture on y layer
texture {
  pigment {
    gradient y
      color_map {
         [ 0 color <0.5,0.475,0.475> ]
         [ 0.2 color <0.5,0.475,0.475> ]
         [ 0.25 color <0.6,0.55,0.55> ]
         [ 1 color <0.6,0.55,0.55> ]
      }
   }
   finish { ambient 0.4 diffuse 0.7 phong 0.05 phong_size 0.5 crand 0.025 }
   normal { gradient y 0.25 }
   scale 0.025
}

#declare TStone06 = texture {
   pigment {
      crackle
      color_map {
            [ 0   color rgb <0.25,0.35,0.5> ]
            [ 0.2 color rgb <0.25,0.35,0.5> ]
            [ 1   color rgb <0.15,0.15,0.3> ]
      }
      turbulence 0.8
   }
   normal {
      crackle
      slope_map { [ 0,0 ] [ 0.2,0.05 ] [ 1. 0.05 ]}
      turbulence 0.8
   }
   finish { diffuse 0.7 ambient 0.3 phong 1 phong_size 40 reflection 0.01 crand 0.005 }
   scale 0.2
}


#declare TStone07 = texture {
   pigment {
      crackle
      color_map {
            [ 0   color rgb <0.4,0.3,0> ]
            [ 0.2 color rgb <0.4,0.3,0> ]
            [ 1   color rgb <0.3,0.05,0.05> ]
      }
      turbulence 0.8
   }
   normal {
      crackle
      slope_map { [ 0,0 ] [ 0.2,0.05 ] [ 1. 0.05 ]}
      turbulence 0.8
   }
   finish { diffuse 0.7 ambient 0.3 phong 1 phong_size 40 reflection 0.01 }
   scale 0.2
}


// ----------- Metals
// My_Metal01 
// My_Metal02 
// M_Metal01
// M_Metal02
// BMetal01 
// CMetal01  
// BellTexture 
// K_metal 

// ----------- Ground's and Grass
// Landtex01
// Grass
// Ground01

// ----------- Wood and Leaf Textures
// TWood01 
// Wood_Tex01 
// Wood_Tex02
// Wood_Tex03
// Wood_Tex04 
// Wood_Tex05 
// Wood_Tex06 
// Leaf_Tex01 
// Leaf_Tex03 
// Leaf_Tex04 
// Leaf_Tex05 
// Cact_texture 


// ----------- Plastics
// M_PlastOker
// M_PlastGray
// Comp_Plast
// M_PlastGreen
// M_PlastBlue
// M_PlastBBlue

// ----------- Stones
// My_Stone01 
// My_Stone02 
// MStone01  
// MStone01aa  
// MStone02 
// MStone03 
// M_Floor01
// M_Floor02
// M_Floor03
// M_Floor04
// Stone_Texture01 
// Stn05_texture 
// TStone01
// TStone02
// TStone03
// TStone04
// TStone05
// TStone06
// TStone07
// M_Brick1
// M_Brick2
// M_Brick3

// ----------- Others
// ColSpect 
// M_Crackle01
// Book_tex01
// Paper_Tex01
// OGlass01  
// Paper_texture 

